Bug 818253 - Incorrect information in JON Installation Guide
Incorrect information in JON Installation Guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.0.1
Unspecified Unspecified
high Severity high
: ---
: JON 3.1.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-02 11:10 EDT by bkramer
Modified: 2013-02-28 19:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:32:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bkramer 2012-05-02 11:10:43 EDT
Description of problem:

Our Installation Guide [1] states that the plugin should be installed in the rhq.ear folder inside deploy. However, if JON installation is not finished yet, the user will have only rhq.ear.rej folder. This should be changed.

Please note that Installation Guide for JON 2.4.x is correct [2].


[1] http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html/Installation_Guide/JON_Server_Running_The_Installer.html

[2] http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/Installation_Guide/JON_Server_Running_The_Installer.html

Version-Release number of selected component (if applicable):
JON 3.0.x

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Larry O'Leary 2012-05-08 14:22:02 EDT
Per triage call, target doc fix for JON 3.1.0.
Comment 2 Deon Ballard 2012-06-28 11:29:09 EDT
For 3.1, I moved the plugin install to the end, so there's no ear/ear.rej confusion.

http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Installation_Guide/JON_Server_Running_The_Installer.html
Comment 3 Larry O'Leary 2012-06-28 11:58:29 EDT
This will prevent the plug-ins from getting installed until the next time the server is started (i.e. restarted). 

Instead, before running the installer, the user should put all plug-in JARs in <RHQ_SERVER_HOME>/plugins. This directory is scanned and all plug-ins are installed in the correct location upon the server starting up during the installation.
Comment 4 Filip Brychta 2012-08-15 09:31:58 EDT
Larry's comment is still valid. Fix for this would be move step 14. (Optional. Install any additional agent plug-ins.) before step 4. (Run the JBoss ON server:)

Chapter 2.3.1. Using the GUI Installer (Red Hat Enterprise Linux) from http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Installation_Guide/JON_Server_Running_The_Installer.html

Plugins from jon-server-3.1.0.GA1/plugins/ directory are installed during server startup or on demand (Administration->Agent plugins->Scan for Updates). Not sure if there is any automatic scan scheduled??
Comment 5 Deon Ballard 2013-02-28 19:32:38 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.